Set LEFT_PLAY_DEVICE=0:3
Set RIGHT_PLAY_DEVICE=1:3
Set RECORD_DEVICE=0:3

Set REC_IMP=\RoomCorrection\Rec_imp.win32
Set DRC_DIR=\RoomCorrection\drc-3.1.0\sample
Set CONVOLVER=\RoomCorrection\ConvolverFilters

cd %REC_IMP%
rec_imp.exe LeftSpeakerImpulseResponse.pcm 44100 20 21000 20 %LEFT_PLAY_DEVICE% %RECORD_DEVICE%
move /y LeftSpeakerImpulseResponse.pcm "%DRC_DIR%"
rec_imp.exe RightSpeakerImpulseResponse.pcm 44100 20 21000 20 %RIGHT_PLAY_DEVICE% %RECORD_DEVICE%
move /y RightSpeakerImpulseResponse.pcm "%DRC_DIR%"

cd %DRC_DIR%
drc.exe --BCInFile=LeftSpeakerImpulseResponse.pcm --PSOutFile=LeftSpeaker-rpsERB.pcm erb-44.1.drc
move /y LeftSpeaker-rpsERB.pcm "%CONVOLVER%
drc.exe --BCInFile=RightSpeakerImpulseResponse.pcm --PSOutFile=RightSpeaker-rpsERB.pcm erb-44.1.drc
move /y RightSpeaker-rpsERB.pcm "%CONVOLVER%

drc.exe --BCInFile=LeftSpeakerImpulseResponse.pcm --PSOutFile=LeftSpeaker-rpsMINIMAL.pcm minimal-44.1.drc
move /y LeftSpeaker-rpsMINIMAL.pcm "%CONVOLVER%
drc.exe --BCInFile=RightSpeakerImpulseResponse.pcm --PSOutFile=RightSpeaker-rpsMINIMAL.pcm minimal-44.1.drc
move /y RightSpeaker-rpsMINIMAL.pcm "%CONVOLVER%

drc.exe --BCInFile=LeftSpeakerImpulseResponse.pcm --PSOutFile=LeftSpeaker-rpsSOFT.pcm soft-44.1.drc
move /y LeftSpeaker-rpsSOFT.pcm "%CONVOLVER%
drc.exe --BCInFile=RightSpeakerImpulseResponse.pcm --PSOutFile=RightSpeaker-rpsSOFT.pcm soft-44.1.drc
move /y RightSpeaker-rpsSOFT.pcm "%CONVOLVER%

drc.exe --BCInFile=LeftSpeakerImpulseResponse.pcm --PSOutFile=LeftSpeaker-rpsNORMAL.pcm normal-44.1.drc
move /y LeftSpeaker-rpsNORMAL.pcm "%CONVOLVER%
drc.exe --BCInFile=RightSpeakerImpulseResponse.pcm --PSOutFile=RightSpeaker-rpsNORMAL.pcm normal-44.1.drc
move /y RightSpeaker-rpsNORMAL.pcm "%CONVOLVER%

cd %REC_IMP%
